Name:           scummvm
Version:        2.1.1
Release:        %mkrel 2
Summary:        Interpreter for several adventure games
Summary(de):    Freie Umsetzung von LucasArts' S.C.U.M.M-Interpreter
Group:          Emulators
License:        GPLv2+
Url:            http://scummvm.sourceforge.net
Source0:        %{name}-%{version}.tar.xz
Patch: 		scummvm-1.3.0-mp2player.patch
Patch1: 	    scummvm-2.1.0-fluidsynth.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  nasm
BuildRequires:  lib64curl-devel
BuildRequires:  lib64flac8-devel
BuildRequires:  lib64fluidsynth-devel
BuildRequires:	lib64fribidi-devel
BuildRequires:  lib64freetype6-devel
BuildRequires:  lib64jpeg-devel
BuildRequires:  lib64speechd-devel
BuildRequires:  lib64theora-devel
BuildRequires:  lib64mpeg2dec-devel
BuildRequires:  lib64png1.6-devel
BuildRequires:  lib64mad-devel
BuildRequires:	lib64alsa2-devel
BuildRequires:  lib64ncurses-devel
BuildRequires:  lib64readline-devel
BuildRequires:  lib64sdl2.0-devel
BuildRequires:  lib64vorbis0-devel
BuildRequires:  zlib1-devel

%description
ScummVM is an implementation of the SCUMM (Script Creation Utility for
Maniac Mansion) engine used in various Lucas Arts games such as Monkey
Island and Day of the Tentacle. At this time ScummVM should be considered
ALPHA software, as it's still under heavy development. Be aware that while
many games will work with few major bugs, crashes can happen. Also note
that saved games can, and probably will, be incompatible between releases.

Also ScummVM is capable of playing several non-SCUMM games.

#german
%description -l de
ScummVM ist eine »virtuelle Maschine« für diverse klassische 
grafische »Ziel-und-Klick«-Abenteuerspiele. 
Das Programm ist ausgelegt zum Starten von Adventure Softs 
»Simon the Sorcerer« 1 und 2, Revolutions »Beneath a Steel Sky« 
sowie Spielen, die auf LucasArts' S.C.U.M.M (Script Creation 
Utility for Maniac Mansion) basieren. 
S.C.U.M.M wird für viele Spiele verwendet, unter anderem für 
»Monkey Island«, »Day of the Tentacle«, »Sam and Max« und weitere. 
Auf <http://www.scummvm.org/compatibility_stable.php> werden alle 
unterstützten Spiele aufgelistet.

Die Daten von zwei mit ScummVM kompatiblen Spielen werden bei 
Debian mitgeliefert. Dies sind:
  
  * Beneath a Steel Sky (Paketname: beneath-a-steel-sky)
  * Flight of the Amazon Queen (Paketname: flight-of-the-amazon-queen).

Um die ScummVM tatsächlich zu verwenden, müssen Sie eines dieser Pakete 
installieren, oder sich die proprietären Spieledaten für ein anderes 
unterstütztes Spiel anderswo beschaffen.

%prep

%setup

%patch -p1

%patch1 -p1

%build
./configure 	

make clean

%make_build

#We can't make install, or else, the locations will be wrong. Have to be done by hand, one by one.

%install
install -m755 -D scummvm %{buildroot}%{_bindir}/scummvm
install -m644 -D dists/scummvm.6 %{buildroot}%{_mandir}/man6/scummvm.6
mkdir -p %{buildroot}%{_datadir}/applications
cp dists/%{name}.desktop %{buildroot}%{_datadir}/applications
install -D -m 644 dists/redhat/scummvm48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m 644 icons/scummvm.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m644 -D gui/themes/scummclassic.zip %{buildroot}%{_datadir}/scummvm/scummclassic.zip
install -m644 -D gui/themes/scummmodern.zip %{buildroot}%{_datadir}/scummvm/scummmodern.zip
install -m644 -D gui/themes/translations.dat %{buildroot}%{_datadir}/scummvm/translations.dat
install -m644 -D dists/pred.dic %{buildroot}%{_datadir}/scummvm/pred.dic
install -m644 -D dists/engine-data/kyra.dat %{buildroot}%{_datadir}/scummvm/kyra.dat
install -m644 -D dists/engine-data/lure.dat %{buildroot}%{_datadir}/scummvm/lure.dat
install -m644 -D dists/engine-data/queen.tbl %{buildroot}%{_datadir}/scummvm/queen.tbl
install -m644 -D dists/engine-data/sky.cpt %{buildroot}%{_datadir}/scummvm/sky.cpt
install -m644 -D dists/engine-data/drascula.dat %{buildroot}%{_datadir}/scummvm/drascula.dat
install -m644 -D dists/engine-data/teenagent.dat %{buildroot}%{_datadir}/scummvm/teenagent.dat
install -m644 -D dists/engine-data/hugo.dat %{buildroot}%{_datadir}/scummvm/hugo.dat
install -m644 -D dists/engine-data/toon.dat %{buildroot}%{_datadir}/scummvm/toon.dat

# Remove doc files we want to include with %%doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS.md README.md TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Fri Oct 15 2021 tex - 2.1.1-2pclos2021
- rebuild against updates

* Mon Jul 01 2020 Agent Smith <ruidobranco@yahoo.com.br> scummvm-2.1.1-1pclos2020
- Dropped old patches
- Added patches: mp2player, fluidsynth
- Updated the package with latest source. 

* Tue Aug 01 2017 bb2 <bb2> 1.9.0-1pclos2017
- new version

* Sun May 15 2016 MBantz <martin.bantz at gmail dot com> 1.8.0-1pclos2016
- Update to 1.8.0

* Tue Nov 18 2014 MBantz <martin.bantz at gmail dot com> 1.7.0-1pclos2014
- Update to 1.7.0

